You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-01-11 16:23:09

thiasou
Guest
Registered: 2016-02-14
Posts: 188

Plugin formcreator

Bonjour,

Dès lors que j'essai d'installer le plugin formcreator, ça ne fonctionne pas j'ai ce message:


Changement de la structure de la base de données - glpi_plugin_formcreator_answers (0 seconde)
   2.6.0 multiple alter in glpi_plugin_formcreator_answers - Erreur durant l'éxecution de la requête : ALTER TABLE `glpi_plugin_formcreator_answers` ADD INDEX `plugin_formcreator_question_id` (`plugin_formcreator_question_id`) - L'erreur est Key column 'plugin_formcreator_question_id' doesn't exist in table

Auriez vous une solution svp?

Merci d'avance,


Mathias

Glpi 9.2.1 Debian 9.1 / SSO / Fusion Inventory / SQL 5.6.36-82.1 /

Offline

#2 2018-01-11 16:38:48

btry
Guest
Registered: 2015-10-01
Posts: 151

Re: Plugin formcreator

Bonjour

Je pense que vous tentez d 'installer la version 2.6.0. Essayez la 2.6.1 sortie la semaine dernière.

Last edited by btry (2018-01-11 16:39:05)

Offline

#3 2018-02-01 17:19:12

jc038
Guest
Registered: 2015-01-09
Posts: 32

Re: Plugin formcreator

Bonjour,

J'ai le même problème que thiasou , donc pour régler ce premier problème j'ai modifié le nom du champ `plugin_formcreator_question_id`car dans mysql il y a un 's' a la fin de question  donc je l'ai modifié.
Par contre maintenant j'ai ceci comme erreur :

Upgrade glpi_plugin_formcreator_forms_answers (0 seconde)
Unknown column 'validator_id' in 'field list'
Please, check migration log

pour info je viens juste de migrer sur glpi 9.2 ( version formcreator 2.6.0)

Merci pour vos infos

Last edited by jc038 (2018-02-01 17:20:22)

Offline

#4 2018-02-01 17:22:00

btry
Guest
Registered: 2015-10-01
Posts: 151

Re: Plugin formcreator

Bonjour

Vous essayez d'installer (pas upgrader) Formcreator 2.6.0, n'est ce pas ?

Le plugin a t il été déjà installé dans le passé ?

Offline

#5 2018-02-05 11:18:37

jc038
Guest
Registered: 2015-01-09
Posts: 32

Re: Plugin formcreator

Bonjour,

oui c'est une premiere install du plugin.
Finalement je suis passé en glpi 9.2.1 et installé formcreator 2.6.1
Ca fonctionne en modifiant tout de meme le nom du champ  ( enlever le  S )

Merci

Offline

#6 2018-02-05 15:29:42

btry
Guest
Registered: 2015-10-01
Posts: 151

Re: Plugin formcreator

Bonjour

Le souci est déjà arrivé quand une très vielle version du plugin (>= 2.0 et < 2.4) a été installée. Ces versions laissaient des tables après désinstallation,  trompant le système d'install / upgrade actuellement en place..

Offline

Board footer

Powered by FluxBB